package com.unipi.talepis.sixthapp;

import androidx.annotation.ColorInt;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.speech.RecognizerIntent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    MyTts myTts;
    EditText editText;
    TextView textView;
    private static final int REC_RESULT = 653;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        myTts = new MyTts(this);
        editText = findViewById(R.id.editTextTextPersonName2);
        textView = findViewById(R.id.textView);
    }
    public void speak(View view){
        myTts.speak(editText.getText().toString());
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode==REC_RESULT && resultCode==RESULT_OK){
            ArrayList<String> matches = data.getStringArrayListExtra(RecognizerIntent.EXTRA_RESULTS);
            textView.setText(matches.get(0));
            if (matches.contains("red"))
                getWindow().getDecorView().setBackgroundColor(Color.RED);
            if (matches.contains("blue"))
                getWindow().getDecorView().setBackgroundColor(Color.BLUE);
            if (matches.contains("yellow"))
                getWindow().getDecorView().setBackgroundColor(Color.YELLOW);
        }

    }

    public void recognize(View view){
        Intent intent = new Intent(RecognizerIntent.ACTION_RECOGNIZE_SPEECH);
        intent.putExtra(RecognizerIntent.EXTRA_LANGUAGE_MODEL,RecognizerIntent.LANGUAGE_MODEL_FREE_FORM);
        intent.putExtra(RecognizerIntent.EXTRA_PROMPT,"Please say something!");
        startActivityForResult(intent,REC_RESULT);
    }
}